#include <stdio.h>
#include <string.h>


int main() {
    char wordchain[1000];
    char delete;

    printf("Geben Sie eine Zeichenkette (max.1000 Zeichen) ein:");
    fgets(wordchain, 1000, stdin);

    printf("\nGeben Sie das zu loeschende Zeichen ein: ");
    scanf(" %c", &delete);
    while (getchar() != '\n');


    int length = strlen(wordchain);  // anzahl der woerter die in wordchain stehen bis zum null terminator ('\n)
    int j = 0;
        for (int i = 0; i < length; i++) { // durchlaeuft den string vom 0 zeichen bis zum letzten
            if (wordchain[i] != delete) {  // wenn das zeichen auf der postion i nicht dem delete entpricht
                wordchain[j++] = wordchain[i]; // wird wordchain[j] um ein erhoet und das angeschaute zeichen nicht geloescht
            }
        }
        //schleife wiederholt sich solange bis man am nullterminator von wordchain[j] angegkommen ist
        wordchain[j] = '\0'; //null terminator -> makiert das ende vom string


    printf("Die neue Zeichenkette ist dann: %s\n", wordchain);

    return 0;
}
